@charset "utf-8";

/*ボタン外側*/
.openbtn{
    position: relative;/*ボタン内側の基点となるためrelativeを指定*/
    background:#006030;
    cursor: pointer;
    width: 50px;
    height:50px;
    border-radius: 0px;
    display: none;
}
  
/*ボタン内側*/
.openbtn span{
    display: inline-block;
    transition: all .4s;/*アニメーションの設定*/
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background: #fff;
    width: 45%;
}
  
.openbtn span:nth-of-type(1) {
    top:15px; 
}
  
.openbtn span:nth-of-type(2) {
    top:23px;
}
  
.openbtn span:nth-of-type(3) {
    top:31px;
}
  
/*activeクラスが付与されると線が回転して×に*/

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 12px;
    transform: translateY(6px) rotate(-45deg);
    width: 50%;
}
  
.openbtn.active span:nth-of-type(2) {
    opacity: 0;/*真ん中の線は透過*/
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 12px;
    transform: translateY(-6px) rotate(45deg);
    width: 50%;
}


@media screen and (max-width: 1100px) {
	.openbtn {
        display: block !important;
        position: absolute !important;
        right: 0px;
        top: 0px;
        z-index: 99999;
    }
}


